For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
        • GETWait geofence
        • PUTStart wait time
        • PUTEnd wait time
        • PUTValidate wait time
        • PATCHOverride wait time
        • PUTAdd to task group
        • PATCHUpdate
        • PUTComplete
        • PUTSkip
        • PUTAttempt
        • DELDelete
LogoLogo
GithubSign up
API ReferenceShippingTasks

Override wait time

PATCH
/shipping/tasks/wait_time/override/v1/:task_id
PATCH
/shipping/tasks/wait_time/override/v1/:task_id
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.shipping.tasks.waitTimeOverrideV1("task_id", {});
8}
9main();
1true

Overrides wait-time timestamps or geofence distance for a task. | authz_personas=[executor_org_operators] | (WaitTimeOverrideReq) -> (bool)

Was this page helpful?
Previous

Add to task group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Request

This endpoint expects an object.
geofence_distance_milesdoubleOptional
wait_time_start_timestampdatetimeOptional
wait_time_end_timestampdatetimeOptional

Response

Successful Response

Errors

422
Tasks Wait Time Override V1request Unprocessable Entity Error